Bug 210280 - nautilus-cd-burner doesn't report failure due to large file sizes
nautilus-cd-burner doesn't report failure due to large file sizes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus-cd-burner (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
bzcl34nup
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-11 05:46 EDT by Kevin R. Page
Modified: 2015-01-14 18:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 00:53:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 361522 None None None Never

  None (edit)
Description Kevin R. Page 2006-10-11 05:46:35 EDT
Description of problem:
nautilus-cd-burner doesn't feedback to the user when a file isn't included
because it is too large - if the only file being burnt is too large, a blank DVD
is "inexplicably" burnt. Indeed, given this apparent limitation in
growisofs/mkisofs, nautilus-cd-burner should check for overly large files before
burning.


Version-Release number of selected component (if applicable):
nautilus-cd-burner-2.14.3-1.fc5
dvd+rw-tools-5.21.4.10.8-6.2.1

How reproducible:
Always

When I try to burn the 4.2GB file directly with growisofs, I get the following:

# growisofs -dry-run -Z /dev/dvdwriter moog_backupdir-20061010.tar
Executing 'mkisofs moog_backupdir-20061010.tar | builtin_dd of=/dev/dvdwriter
obs=32k seek=0'
INFO:   UTF-8 character encoding detected by locale settings.
        Assuming UTF-8 encoded filenames on source filesystem,
        use -input-charset to override.
mkisofs: Value too large for defined data type. File moog_backupdir-20061010.tar
is too large - ignoring
Total translation table size: 0
Total rockridge attributes bytes: 0
Total directory bytes: 0
Path table size(bytes): 10

Passing -udf doesn't help.
Comment 1 Alexander Larsson 2006-10-11 14:42:16 EDT
Reported upstream as:
http://bugzilla.gnome.org/show_bug.cgi?id=361522
Comment 2 Bug Zapper 2008-04-03 23:56:50 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Kevin R. Page 2008-04-09 19:54:44 EDT
I believe this bug is still valid:

- the upstream bug is still open:
http://bugzilla.gnome.org/show_bug.cgi?id=361522

- ISO9660 cannot support >4GB extents; nautilus-cd-burner doesn't use UDF,
though the following upstream bug suggests doing so for >4GB files:
http://bugzilla.gnome.org/show_bug.cgi?id=485330

- if nautilus-cd-burner is still using growisofs/genisoimage in ISO9660 mode it
can't write >4GB files, so it should warn when such files are added

If you think there's been a significant change to nautilus-cd-burner not covered
by the above points, let me know and I'll risk a coaster!
Comment 4 Bug Zapper 2008-11-26 02:02:47 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-11-18 03:08:38 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 00:53:40 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.